Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.util
Class TextStreamResponse

    java.lang.Object
      org.apache.tapestry5.util.TextStreamResponse

All Implemented Interfaces:
  StreamResponse

    public class TextStreamResponse

extends java.lang.Object
implements StreamResponse

Constructor Summary
`TextStreamResponse(ContentType contentType, java.lang.String text)`
`TextStreamResponse(java.lang.String contentType, java.lang.String text)` Constructor that defaults the character set to "utf-8".
`TextStreamResponse(java.lang.String contentType, java.lang.String charset, java.lang.String text)` Constructor allowing the content type and character set to the specified.

Method Summary
`java.lang.String` | `getContentType()` Returns the content type to be reported to the client.
`java.io.InputStream` | `getStream()` Converts the text to a byte array (as per the character set, which is usually "UTF-8"), and returns a stream for that byte array.
`void` | `prepareResponse(Response response)` Does nothing; subclasses may override.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextStreamResponse

    public TextStreamResponse(java.lang.String contentType,
                              java.lang.String text)

  Constructor that defaults the character set to "utf-8".

### TextStreamResponse

    public TextStreamResponse(java.lang.String contentType,
                              java.lang.String charset,
                              java.lang.String text)

  Constructor allowing the content type and character set to the specified.

  Parameters:
    `contentType` - type of content, often "text/xml"
    `charset` - character set of output, usually "UTF-8"
    `text` - text to be streamed in the response
  See Also:
    `SymbolConstants.CHARSET`

### TextStreamResponse

    public TextStreamResponse(ContentType contentType,
                              java.lang.String text)

Method Detail

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `StreamResponse`
  Returns the content type to be reported to the client.

  Specified by:
    `getContentType` in interface `StreamResponse`

### getStream

    public java.io.InputStream getStream()
                                  throws java.io.IOException

  Converts the text to a byte array (as per the character set, which is usually "UTF-8"), and returns a stream for that byte array.

  Specified by:
    `getStream` in interface `StreamResponse`
  Returns:
    the text as a byte array stram
  Throws:
    `java.io.IOException`

### prepareResponse

    public void prepareResponse(Response response)

  Does nothing; subclasses may override.

  Specified by:
    `prepareResponse` in interface `StreamResponse`
  Parameters:
    `response` - Response that will be sent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.